########################################################################################################################
# Connection details to database on server
########################################################################################################################

module Dbsketch
	module Automation

		class DatabaseConnectionDetails
			def initialize host:, instance: nil, database:, user: nil, password: nil
				### Preconditions
				raise ArgumentError, "host is not a String" unless host.is_a? String
				raise ArgumentError, "instance is not a String" unless nil == instance or instance.is_a? String
				raise ArgumentError, "database is not a String" unless database.is_a? String
				raise ArgumentError, "user is not a String" unless nil == user or user.is_a? String
				raise ArgumentError, "password is not a String" unless nil == password or password.is_a? String
				###
				@host = host
				@instance = instance
				@database = database
				@user = user
				@password = password
			end

			attr_reader :host, :instance, :database, :user, :password

			def full_host
				(nil == @instance) ? @host : "#{@host}\\#{@instance}"
			end
		end

	end
end
