########################################################################################################################
# Defines difference between two values
########################################################################################################################

module Dbsketch
	module Comparison

		class Diff
			def initialize old_value, new_value
				### Preconditions
				raise ArgumentError, "new_value is not different from old_value" unless new_value != old_value
				###
				@old_value = old_value
				@new_value = new_value
			end

			attr_reader :old_value, :new_value

			# Returns true if the diff represents the deletion of an old value
			def deletion?
				nil != @old_value and nil == @new_value
			end

			# Returns true if the diff represents a change
			def change?
				nil != @old_value and nil != @new_value
			end

			# Returns true if the diff represents the addition of a new value
			def addition?
				nil == @old_value and nil != @new_value
			end

		end

	end
end
