########################################################################################################################
# Compute differences between two existing check constraint
########################################################################################################################

require_relative '../model/view'
require_relative 'comparison_error'
require_relative 'diff'

module Dbsketch
	module Comparison

		class ViewDiff < Diff
			def initialize old_view, new_view
				super old_view, new_view
			end
			alias :old_view :old_value
			alias :new_view :new_value

			def query
				### Preconditions
				raise ComparisonError, "no change found" if not change?
				###
				Diff.new old_view.query, new_view.query
			end
		end

	end
end

module Dbsketch
	module Comparison

		class ViewComparator

			def are_equivalent? old_view, new_view
				### Preconditions
				raise ArgumentError, "old_view is not a Dbsketch::Model::View" unless nil == old_view or old_view.is_a? Dbsketch::Model::View
				raise ArgumentError, "new_view is not a Dbsketch::Model::View" unless nil == new_view or new_view.is_a? Dbsketch::Model::View
				###
				(nil != old_view and nil != new_view) and (old_view.query == new_view.query)
			end

			def compare old_view, new_view
				### Preconditions
				raise ArgumentError, "old_view is not a Dbsketch::Model::View" unless nil == old_view or old_view.is_a? Dbsketch::Model::View
				raise ArgumentError, "new_view is not a Dbsketch::Model::View" unless nil == new_view or new_view.is_a? Dbsketch::Model::View
				###
				ViewDiff.new(old_view, new_view) if not are_equivalent? old_view, new_view
			end

		end

	end
end
