########################################################################################################################
# Common structure for database columns
########################################################################################################################

require_relative 'database_object'

module Dbsketch
	module Model

		class AbstractColumn < Database_Object
			def initialize name, meaning: nil, comment: nil, nullable: true, order: nil
				super name, :meaning => meaning, :comment => comment
				### Preconditions
				raise ArgumentError, "nullable is not a boolean" unless nullable.is_a? TrueClass or nullable.is_a? FalseClass
				raise ArgumentError, "order is not an Integer" unless nil == order or order.is_a? Integer
				###
				@nullable = nullable
				@order = order
			end

			attr_reader :nullable, :order
		end

	end
end
