########################################################################################################################
# Defines database computed column
########################################################################################################################

require_relative 'abstract_column'
require_relative 'model_error'

module Dbsketch
	module Model

		class ComputedColumn < AbstractColumn
			def initialize name, query, meaning: nil, comment: nil, nullable: true, order: nil, persisted: false
				super(name, :meaning => meaning, :comment => comment, :nullable => nullable, :order => order)
				### Preconditions
				raise ArgumentError, "query is not a String" unless query.is_a? String
				raise ArgumentError, "persisted is not a boolean" unless persisted.is_a? TrueClass or persisted.is_a? FalseClass
				raise ModelError, "column is not persisted althought not nullable" if not nullable and not persisted
				###
				@query = query
				@persisted = persisted
			end

			attr_reader :query, :persisted
		end

	end
end
