########################################################################################################################
# Primary Key
########################################################################################################################

require_relative 'column'
require_relative 'database_object'
require_relative 'table'

module Dbsketch
	module Model

		class ForeignKey < Database_Object
			def initialize name, constricted_column, referenced_table, referenced_column, meaning: nil, comment: nil
				super name, :meaning => meaning, :comment => comment
				### Preconditions
				raise ArgumentError, "constricted column is not a Dbsketch::Model::Column" unless constricted_column.is_a? Column
				raise ArgumentError, "name is not a Dbsketch::Model::Table" unless referenced_table.is_a? Table
				raise ArgumentError, "referenced column is not a Dbsketch::Model::Column" unless referenced_column.is_a? Column
				###
				@constricted_column = constricted_column
				@referenced_table = referenced_table
				@referenced_column = referenced_column
			end

			attr_reader :constricted_column, :referenced_table, :referenced_column
		end

	end
end
