########################################################################################################################
# Defines database operation (function and procedure common stuff)
########################################################################################################################

require_relative 'database_object'

module Dbsketch
	module Model

		class Operation < Database_Object
			def initialize name, meaning: nil, comment: nil, dependencies: [], arguments: [], algo:
				super name, :meaning => meaning, :comment => comment, :dependencies => dependencies
				arguments = arguments.is_a?(Array) ? arguments : [arguments]
				### Preconditions
				arguments.each_with_index do |arg, index|
					raise ArgumentError, "arguments[#{index}] is not a String" unless arg.is_a? String
				end
				raise ArgumentError, "algo is not a String" unless algo.is_a? String
				###
				@arguments = arguments
				@algo = algo
			end

			attr_reader :algo, :arguments
		end

	end
end
