########################################################################################################################
# Unique constraint
########################################################################################################################

require_relative 'column'
require_relative 'database_object'

module Dbsketch
	module Model

		class UniqueConstraint < Database_Object
			def initialize name, columns, meaning: nil, comment: nil
				super name, :meaning => meaning, :comment => comment
				@columns = columns.is_a?(Array) ? columns : [columns]
				### Preconditions
				@columns.each_with_index do |column, index|
					raise ArgumentError, "columns[#{index}] is not a Dbsketch::Model::Column" unless column.is_a? Column
				end
				###
			end

			attr_reader :columns

			def has_column? column_name
				### Preconditions
				raise ArgumentError, "column_name is not a String" unless column_name.is_a? String
				###
				nil != @columns.find { |c| c.name.downcase == column_name.downcase }
			end
		end

	end
end
