########################################################################################################################
# Render an index into ruby
########################################################################################################################

require_relative '../../model/index'

module Dbsketch
	module Rendering
		module Meta

			class IndexRenderer

				def create index
					### Preconditions
					raise ArgumentError, "index is not a Dbsketch::Model::Index" unless index.is_a? Dbsketch::Model::Index
					###
					columns = index.columns.map {|c| c.name }
					columns = columns.count > 1 ? "[#{columns.join(", ")}]" : columns.first
					"Dbsketch::Model::Index.new(\"#{index.name}\", #{index.target.name}, #{columns})"
				end

				def drop index
					"Index.drop #{index.name} from #{index.target.name}"
				end

			end

		end
	end
end
