########################################################################################################################
# Render a trigger into ruby
########################################################################################################################

require_relative '../../model/trigger'

module Dbsketch
	module Rendering
		module Meta

			class TriggerRenderer

				def create trigger
					### Preconditions
					raise ArgumentError, "trigger is not a Dbsketch::Model::Trigger" unless trigger.is_a? Dbsketch::Model::Trigger
					###
					"Dbsketch::Model::Trigger.new(\"#{trigger.name}\", #{trigger.target.name}, \"#{trigger.activation_time}\", :algo => \"#{trigger.algo}\")"
				end

				def drop trigger
					### Preconditions
					raise ArgumentError, "trigger is not a Dbsketch::Model::Trigger" unless trigger.is_a? Dbsketch::Model::Trigger
					###
					"Trigger.drop #{trigger.name}"
				end

			end

		end
	end
end
