########################################################################################################################
# Render a column into SQL
########################################################################################################################

require_relative '../../model/foreign_key'

module Dbsketch
	module Rendering
		module SQL

			class ForeignKeyRenderer

				def create foreign_key
					### Preconditions
					raise ArgumentError, "foreign_key is not a Dbsketch::Model::ForeignKey" unless foreign_key.is_a? Dbsketch::Model::ForeignKey
					###
					"constraint #{foreign_key.name} foreign key (#{foreign_key.constricted_column.name}) references #{foreign_key.referenced_table.name} (#{foreign_key.referenced_column.name})"
				end

			end

		end
	end
end
