########################################################################################################################
# Render an index into SQL
########################################################################################################################

require_relative '../../model/index'

module Dbsketch
	module Rendering
		module SQL

			class IndexRenderer

				def create index
					### Preconditions
					raise ArgumentError, "index is not a Dbsketch::Model::Index" unless index.is_a? Dbsketch::Model::Index
					###
					"create index #{index.name} on #{index.target.name} (#{index.columns.map {|c| c.name }.join(", ")})"
				end

				def drop index
					### Preconditions
					raise ArgumentError, "index is not a Dbsketch::Model::Index" unless index.is_a? Dbsketch::Model::Index
					###
					"if exists(select * from sysindexes where name = '#{index.name}') drop index #{index.name} on #{index.target.name}"
				end

			end

		end
	end
end
