########################################################################################################################
# Render a trigger into SQL
########################################################################################################################

require_relative '../../model/trigger'

module Dbsketch
	module Rendering
		module SQL

			class TriggerRenderer

				def create trigger
					### Preconditions
					raise ArgumentError, "trigger is not a Dbsketch::Model::Trigger" unless trigger.is_a? Dbsketch::Model::Trigger
					###
					"create trigger #{trigger.name} on #{trigger.target.name} #{trigger.activation_time} as\nbegin\n\t#{trigger.algo}\nend"
				end

				def drop trigger
					### Preconditions
					raise ArgumentError, "trigger is not a Dbsketch::Model::Trigger" unless trigger.is_a? Dbsketch::Model::Trigger
					###
					"if object_id('#{trigger.name}', 'TR') is not null drop trigger #{trigger.name}"
				end

			end

		end
	end
end
