########################################################################################################################
# Render a type into SQL
########################################################################################################################

require_relative '../../model/type'

module Dbsketch
	module Rendering
		module SQL

			class TypeRenderer

				def create type
					### Preconditions
					raise ArgumentError, "type is not a Dbsketch::Model::Type" unless type.is_a? Dbsketch::Model::Type
					###
					if type.sizes.empty?
						type.sql_type
					else
						"#{type.sql_type}(#{type.sizes.join(",")})"
					end
				end

			end

		end
	end
end
