########################################################################################################################
# Render a view into SQL
########################################################################################################################

require_relative '../../model/view'

module Dbsketch
	module Rendering
		module SQL

			class ViewRenderer

				def create view
					### Preconditions
					raise ArgumentError, "view is not a Dbsketch::Model::View" unless view.is_a? Dbsketch::Model::View
					###
					"create view #{view.name} as #{view.query}"
				end

				def drop view
					### Preconditions
					raise ArgumentError, "view is not a Dbsketch::Model::View" unless view.is_a? Dbsketch::Model::View
					###
					"if object_id('#{view.name}', 'V') is not null drop view #{view.name}"
				end

			end

		end
	end
end
